Source: openjfx
Version: 8u141-b14-3
Severity: serious
Tags: buster sid patch

https://buildd.debian.org/status/fetch.php?pkg=openjfx&arch=armel&ver=8u161-b12-1&stamp=1523051663&raw=0

...
/tmp/ccxxsDUf.s: Assembler messages:
/tmp/ccxxsDUf.s:311: Error: selected processor does not support `movw 
r8,#:lower16:.Lllint_op_enter-.LrelativePCBase' in ARM mode
/tmp/ccxxsDUf.s:312: Error: selected processor does not support `movt 
r8,#:upper16:.Lllint_op_enter-.LrelativePCBase' in ARM mode
/tmp/ccxxsDUf.s:316: Error: selected processor does not support `movw 
r8,#:lower16:.Lllint_op_get_scope-.LrelativePCBase' in ARM mode
/tmp/ccxxsDUf.s:317: Error: selected processor does not support `movt 
r8,#:upper16:.Lllint_op_get_scope-.LrelativePCBase' in ARM mode
...


The baseline of the armel port was raised a few months ago,
this can be fixed with:

debian/patches/26-disable-webkit-jit-for-armv4.patch
-+#if CPU(ARM) && WTF_ARM_ARCH_VERSION < 5
++#if CPU(ARM) && WTF_ARM_ARCH_VERSION <= 5

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to